Bug 1605919 (CVE-2018-10900)

Summary: CVE-2018-10900 NetworkManager-vpnc: privilege escalation allows to execute arbitrary commands as root
Product: [Other] Security Response Reporter: Laura Pardo <lpardo>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: carnil, dcbw, huzaifas, lkundrak, pavlix, thaller
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: NetworkManager-vpnc 1.2.6 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:33:48 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1605922, 1605921    
Bug Blocks:    

Description Laura Pardo 2018-07-20 17:36:53 UTC
The Network Manager VPNC plugin is vulnerable to a privilege escalation attack. A new line character can be used to inject a Password helper parameter into the configuration data passed to VPNC, allowing an attacker to execute arbitrary commands as root.


References:
https://bugzilla.novell.com/show_bug.cgi?id=1101147
https://download.gnome.org/sources/NetworkManager-vpnc/1.2/NetworkManager-vpnc-1.2.6.news

Patch:
https://gitlab.gnome.org/GNOME/NetworkManager-vpnc/commit/07ac18a32b4

Comment 1 Laura Pardo 2018-07-20 17:37:27 UTC
Created NetworkManager-vpnc tracking bugs for this issue:

Affects: epel-all [bug 1605922]
Affects: fedora-all [bug 1605921]

Comment 2 Fedora Update System 2018-07-26 12:45:23 UTC
NetworkManager-vpnc-1.2.6-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Product Security DevOps Team 2019-06-10 10:33:48 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.